declare const _default: import("vue").ComponentOptions<import("vue").default, import("@vue/composition-api").ShallowUnwrapRef<{
    baseClassName: import("@vue/composition-api").ComputedRef<string>;
    refThumb: import("@vue/composition-api").Ref<HTMLElement>;
    refPanel: import("@vue/composition-api").Ref<HTMLElement>;
    styles: import("@vue/composition-api").ComputedRef<{
        color: string;
        left: string;
        top: string;
    }>;
    panelBackground: import("@vue/composition-api").ComputedRef<string>;
}> & import("@vue/composition-api").Data, {}, {}, {
    disabled: BooleanConstructor;
    color: {
        type: import("vue").PropType<import("@ldesign/utils/es/color-picker/color").Color>;
    };
    handleChange: {
        type: import("vue").PropType<import("..").TypeColorHandler>;
        default: () => () => void;
    };
}, import("@vue/composition-api").ExtractPropTypes<{
    disabled: BooleanConstructor;
    color: {
        type: import("vue").PropType<import("@ldesign/utils/es/color-picker/color").Color>;
    };
    handleChange: {
        type: import("vue").PropType<import("..").TypeColorHandler>;
        default: () => () => void;
    };
}>> & Omit<import("vue").VueConstructor<import("vue").default>, never> & (new (...args: any[]) => import("@vue/composition-api").ComponentRenderProxy<{
    disabled: boolean;
    handleChange: import("..").TypeColorHandler;
} & {
    color?: import("@ldesign/utils/es/color-picker/color").Color;
}, import("@vue/composition-api").ShallowUnwrapRef<{
    baseClassName: import("@vue/composition-api").ComputedRef<string>;
    refThumb: import("@vue/composition-api").Ref<HTMLElement>;
    refPanel: import("@vue/composition-api").Ref<HTMLElement>;
    styles: import("@vue/composition-api").ComputedRef<{
        color: string;
        left: string;
        top: string;
    }>;
    panelBackground: import("@vue/composition-api").ComputedRef<string>;
}>, import("@vue/composition-api").Data, {}, {}, {}, {}, {}, {
    disabled: boolean;
    handleChange: import("..").TypeColorHandler;
} & {
    color?: import("@ldesign/utils/es/color-picker/color").Color;
}, {
    disabled: boolean;
    handleChange: import("..").TypeColorHandler;
}, true>);
export default _default;
